Tətbiqimizi quraşdırın 🪄 ünvan çubuğunun sağ üstündəki ikonuna klikləyin.

DNS monitorları

GET https://uptimeset.com/api/dns-monitors/
curl --request GET \
--url 'https://uptimeset.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
Parametrlər Təfərrüatlar Təsvir
search İstəyə bağlı Sətir Axtarış stringi.
search_by İstəyə bağlı Sətir Hansı sahə üzrə axtarış edirsiniz. İcazə verilən dəyərlər: name, target.
is_enabled İstəyə bağlı Boolean
datetime_field İstəyə bağlı Sətir İcazə verilən dəyərlər: datetime, last_datetime, last_check_datetime, last_change_datetime
datetime_start İstəyə bağlı Sətir Nəticələri bu tarix və saatdan başlayaraq süzün. Y-m-d H:i:s formatında.
datetime_end İstəyə bağlı Sətir Nəticələri bu tarix-vaxtadək süzün. Y-m-d H:i:s formatı.
order_by İstəyə bağlı Sətir What field to order the results by. Allowed values are: dns_monitor_id, datetime, last_datetime, last_check_datetime, last_change_datetime, total_checks, total_changes, name.
order_type İstəyə bağlı Sətir N
page İstəyə bağlı Tam Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1 olaraq təyin edilir.
results_per_page İstəyə bağlı Tam Səhifə başına neçə nəticə istəyirsiniz. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan 25 olaraq təyin edilir.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "dns": [],
            "notifications": [],
            "settings": [],
            "total_checks": 1,
            "total_changes": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "last_change_datetime": null,
            "is_enabled": true,
            "datetime": "2026-10-16 11:41:13",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptimeset.com/api/dns-monitors?page=1",
        "last": "https://uptimeset.com/api/dns-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimeset.com/api/dns-monitors?page=1"
    }
}
GET https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
curl --request GET \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "dns": [],
        "notifications": [],
        "settings": [],
        "total_checks": 1,
        "total_changes": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_change_datetime": null,
        "is_enabled": true,
        "datetime": "2026-10-16 11:41:13",
        "last_datetime": null
    }
}
POST https://uptimeset.com/api/dns-monitors
Parametrlər Təfərrüatlar Təsvir
name Tələb olunur Sətir -
target Tələb olunur Sətir -
project_id İstəyə bağlı Tam -
notifications İstəyə bağlı Array Bildiriş idarəedicisi id-ləri
dns_check_interval_seconds İstəyə bağlı Tam İcazə verilən dəyərlər: 300, 600, 1800, 3600, 21600, 43200, 86400 (saniyə)
dns_types İstəyə bağlı Array İcazə verilən dəyərlər: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA
is_enabled İstəyə bağlı Boolean -
curl --request POST \
--url 'https://uptimeset.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "dns": null,
        "notifications": [],
        "settings": [],
        "total_checks": 1,
        "total_changes": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_change_datetime": null,
        "is_enabled": true,
        "datetime": "2026-10-16 11:41:13",
        "last_datetime": null
    }
}
POST https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
Parametrlər Təfərrüatlar Təsvir
name Tələb olunur Sətir -
target Tələb olunur Sətir -
project_id İstəyə bağlı Tam -
notifications İstəyə bağlı Array Bildiriş idarəedicisi id-ləri
dns_check_interval_seconds İstəyə bağlı Tam İcazə verilən dəyərlər: 300, 600, 1800, 3600, 21600, 43200, 86400 (saniyə)
dns_types İstəyə bağlı Array İcazə verilən dəyərlər: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA
is_enabled İstəyə bağlı Boolean -
curl --request POST \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "dns": [],
        "notifications": [],
        "settings": [],
        "total_checks": 1,
        "total_changes": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_change_datetime": null,
        "is_enabled": true,
        "datetime": "2026-10-16 11:41:13",
        "last_datetime": null
    }
}
DELETE https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \